<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Visita de Certificación: {{visita.fecha_visita}}</strong>
    </div>
    <div>
      <!--<router-link tag="li" to="/hello">
        <strong>
          <u>
            <small
              >¿No es el Punto de Venta que buscabas? Regresa al buscador</small
            >
          </u>
        </strong>
      </router-link>-->
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Punto de Venta Certificado: </strong>
        <strong>{{puntoVentaData.id_ceco}} - </strong>
        <strong>{{puntoVentaData.punto_contacto}}</strong>
      </div>
      <div>
        <span>Información correspondiente a la última evaluación</span>
      </div>
    </div>
    <div class="titSec">
      <v-row style="position: relative">
        <v-col style="height: 40px; top: 50%">
          <div>Cédula de información del Punto de venta</div>
        </v-col>
        <v-col style="height: 40px; top: 50%">
          <div style="display: inline-block; float: right">
            <span class="circulo" v-bind:style="{ background: calificacion.rango_color }"></span
            ><strong style="vertical-align: top"> Calificación: {{calificacion.calificacion}}</strong>
          </div>
        </v-col>
      </v-row>
    </div>
    <div class="gris">
      <v-row class="ma-0 pa-0">
        <v-col :cols="3" :sm="3" class="ma-0 pa-1 columna">
          <v-text-field
            disabled
            v-model="puntoVentaData.punto_contacto"
            label="Punto de Venta:"
          >
          </v-text-field>
        </v-col>
        <v-col :cols="3" :sm="3" class="ma-0 pa-1 columna">
          <v-text-field
            disabled
            v-model="puntoVentaData.nombre_gerente"
            label="Gerente de Certificación:"
          >
          </v-text-field>
        </v-col>
        <v-col :cols="3" :sm="3" class="ma-0 pa-1 columna">
          <v-text-field disabled v-model="puntoVentaData.region" label="Región:">
          </v-text-field>
        </v-col>
        <v-col :cols="3" :sm="3" class="ma-0 pa-1 columna">
          <v-text-field disabled v-model="puntoVentaData.zona" label="Zona:">
          </v-text-field>
        </v-col>
        <v-col :cols="3" :sm="3" class="ma-0 mt-1 pa-1 columna">
          <v-text-field
            disabled
            v-model="puntoVentaData.territorio"
            label="Territorio:"
          >
          </v-text-field>
        </v-col>
        <v-col :cols="6" :sm="6" class="ma-0 mt-1 pa-1 columna">
          <v-text-field
            disabled
            v-model="puntoVentaData.direccion"
            label="Dirección:"
          >
          </v-text-field>
        </v-col>
      </v-row>
    </div>

    <div class="gris">
      <TablaPuntoVentaUltCertificacion :listaProtocolosUltVisita="listaProtocolos" :visita="visita"  />
    </div>
  </div>
</template>

<style scoped>
.circulo {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  display: inline-block;
}
.columna {
  height: 50px;
}
</style>

<script>
import TablaPuntoVentaUltCertificacion from "@/views/secure/certificacion-calidad/components/TablaPuntoVenta009_014.vue";
import store from "@/store";
import axios from "axios";
import router from "@/router";
const serviceCommons = store.state.serviceCommons;
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name:"PuntoVentaUltCertificacion",
  components:{
      TablaPuntoVentaUltCertificacion
  },
  data() {
    return {
      visita:{},
      puntoVenta: {},
      puntoVentaData:{},
      listaProtocolos:[],
      calificacion:{},
      filtros:{},
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Modelo de Revisión en Sitio",
          disabled: false,
          exact: true,
          to: {
            name: "certificacion_calidad_director",
          },
        },
        {
          text: "Dashboard",
          disabled: true,
        },
        {
          text: "Certificación Punto de Venta",
          disabled: true,
        }
      ]
    };
  },
  methods:{
    getUltimaCertificacion(){
      const self = this;
      let url =
        "/franquicia/dashboard/punto/venta/secure/grafico/get/ultima/certificacion/?"+
        "idCecoBase=" +
        this.puntoVenta.id_ceco_base
      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data[0];
              if (data.fecha_visita) {
                self.visita = data;
                let fecha_ultima_visita = data.fecha_visita.split(" ")[0]
                let dia = fecha_ultima_visita.split("-")[2];
                let mes = fecha_ultima_visita.split("-")[1];
                let anio = fecha_ultima_visita.split("-")[0];
                fecha_ultima_visita = dia + "/" + mes + "/" + anio;
                let id_ceco_base = data.id_ceco_base;
                self.visita.fecha_visita = fecha_ultima_visita;
                self.getCalificacionVisita(id_ceco_base,fecha_ultima_visita);
                self.getProtocolosVisita(id_ceco_base,fecha_ultima_visita);
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    },

    getProtocolosVisita(id_ceco_base,fecha){

      const self = this;
      let url =
        "/franquicia/dashboard/punto/venta/secure/grafico/get/detalle/certificacion/?"
        +"idCecoBase="+id_ceco_base
        +"&fecha="+fecha
      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                self.listaProtocolos = data;
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });

    },

    getCalificacionVisita(id_ceco_base,fecha){
      const self = this;
      let url =
        "/franquicia/dashboard/punto/venta/secure/grafico/get/calificacion/ceco/?"
        +"idCecoBase="+id_ceco_base
        +"&fecha="+fecha
      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data[0];
              if (data) {
                self.calificacion = data;
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    },

    getDatosPuntoVenta(){
      const self = this;
      let url =
        "/franquicia/dashboard/consulta/secure/buscador/get/ceco/?" +
        "idCeco=" +
        this.puntoVenta.id_ceco
      axios
        .get(url)
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data[0];
              if (data) {
                this.puntoVentaData = data;
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        });
    }


  },
  created() {
    if (this.$route.params.puntoVenta) {

      this.puntoVenta = this.serviceCommons.base64ToObject(
        this.$route.params.puntoVenta
      );
      this.getDatosPuntoVenta();
      this.getUltimaCertificacion();

    }

  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  }
};
</script>